LocatorFactory

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.tv.locator
Class LocatorFactory

    java.lang.Object
      javax.tv.locator.LocatorFactory

    public abstract class LocatorFactory

extends Object

This class defines a factory for the creation of `Locator` objects.

See Also:
  `Locator`

Method Summary
`abstract Locator` | `createLocator(String locatorString)` Creates a `Locator` object from the specified locator string.
`static LocatorFactory` | `getInstance()` Provides an instance of `LocatorFactory`.
`abstract Locator[]` | `transformLocator(Locator source)` Transforms a `Locator` into its respective collection of transport dependent `Locator` objects.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static LocatorFactory getInstance()

  Provides an instance of `LocatorFactory`.

  Returns:
    A `LocatorFactory` instance.

### createLocator

    public abstract Locator createLocator(String locatorString)
                                   throws MalformedLocatorException

  Creates a `Locator` object from the specified locator string. The format of the locator string may be entirely implementation-specific.

  Parameters:
    `locatorString` - The string form of the `Locator` to be created. The created `Locator` will have an external form that is identical to `locatorString`.
  Returns:
    A `Locator` object representing the resource referenced by the given locator string.
  Throws:
    `MalformedLocatorException` - If an incorrectly formatted locator string is detected.
  See Also:
    `Locator.toExternalForm()`

### transformLocator

    public abstract Locator[] transformLocator(Locator source)
                                        throws InvalidLocatorException

  Transforms a `Locator` into its respective collection of transport dependent `Locator` objects. A transformation on a transport dependent `Locator` results in an identity transformation, i.e. the same locator is returned in a single-element array.

  Parameters:
    `source` - The `Locator` to transform.
  Returns:
    An array of transport dependent `Locator` objects for the given `Locator`.
  Throws:
    `InvalidLocatorException` - If `source` is not a valid Locator.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD